# FST Lisboa
# Project Makefile

PROGNAME := hw
TARGET ?= xc16
APP ?= fl
MCU := 33EP256MU806
HAL := lib_pic33e
CAN-IDS := v2


# Optimization level: -Ox
# x = 0 (disabled), 1 (see MPLAB XC16 Compiler User's Guide 5.7.6 for all the options)
# Debug: -g, or empty to disable.
# Add extra flags here for debug conditional compilation, like -DDBG defining DBG
OPT := -O1

# Relative or absolute path to the monorepo root
MONOREPO_ROOT:=..

# ##VERSION_FLAGS := -DB6V1
CUSTOM_C_FLAGS := -DCCU_LEFT -DNOUSB -DNO_DCU -DNO_TELEMETRY

MODULES:=src
MODULES+=apps/$(APP)
MODULES+=lib/$(HAL)_$(TARGET)
MODULES+=lib/can-ids-v2
MODULES+=lib/shared/mov_avg
MODULES+=lib/shared/scheduler
MODULES+=lib/shared/fifo

-include build/global.mk

